/* Copyright (c) 1997, MpegTV LLC */
#ifndef _search_h
#define _search_h
#ifndef lint
static char rcsid_search_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/search.h,v 1.63 1997/11/04 08:25:47 tristan Exp $";
#endif

#ifdef HAVE_SEARCH_H

#include <search.h>

#else /* not HAVE_SEARCH_H */

#include "misc.h"
#include <db.h>

typedef struct {
	char *key;
	char *data;
} ENTRY;

typedef enum {
	FIND,
	ENTER
} ACTION;

extern int hcreate(u_int n);
extern int hdestroy(void);
extern ENTRY *hsearch(ENTRY entry, ACTION n);

#endif /* not HAVE_SEARCH_H */

#endif /* _search_h */
